cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Observer
Observer
10,444 Views
Registered: ‎05-27-2016

Petalinux 2016.4 config cannot source bitbake

Hi,

 

This is regarding Petalinux 2016.4.

I am unable to successfully run petalinux-config due to a bitbake error.

 

 

$ petalinux-create -t project -n emc2dp --template zynq
$ cd emc2dp
$ petalinux-config --get-hw-description=~/sdsoc-workspace/emc2dp/
INFO: Getting hardware description...
[INFO] generating Kconfig for project
[INFO] menuconfig project
/home/ananya/2016.3/emc2dp/petalinux/emc2dp/build/misc/config/Kconfig.syshw:30:warning: defaults for choice values not supported
/home/ananya/2016.3/emc2dp/petalinux/emc2dp/build/misc/config/Kconfig:546:warning: config symbol defined without type


*** End of the configuration.
*** Execute 'make' to start the build or try 'make help'.

[INFO] sourcing bitbake
ERROR: Failed to source bitbake
ERROR: Failed to config project.
ERROR: Get hw description Failed!.

$

 

Any idea what is happening? Am I missing bitbake? Bitbake is not listed as a dependency while installing Petalinux.

 

Best regards,

Ananya

0 Kudos
8 Replies
Highlighted
Observer
Observer
10,428 Views
Registered: ‎05-27-2016

Hi,

 

I solved the problem. The environment setup file for yocto "components/yocto/source/aarch64/environment-setup-aarch64-xilinx-linux" uses absolute paths. These were no longer valid because I moved all installed files to a new directory.

 

Best regards,

Ananya

0 Kudos
Highlighted
Visitor
Visitor
10,347 Views
Registered: ‎01-04-2017

You should use a better name of folder for the 2016.4 project!

 

these 2 warnings seem to be a bug in petalinux 2016.4, I have also seen them

 

/home/ananya/2016.3/emc2dp/petalinux/emc2dp/build/misc/config/Kconfig.syshw:30:warning: defaults for choice values not supported /home/ananya/2016.3/emc2dp/petalinux/emc2dp/build/misc/config/Kconfig:546:warning: config symbol defined without type

0 Kudos
Highlighted
Moderator
Moderator
10,295 Views
Registered: ‎04-17-2011

The steps are already provided in the Petalinux User Guide:
https://www.xilinx.com/support/documentation/sw_manuals/xilinx2016_4/ug1144-petalinux-tools-reference-guide.pdf

Chapter-2, page -81
Regards,
Debraj
----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
----------------------------------------------------------------------------------------------
0 Kudos
Highlighted
Newbie
Newbie
10,247 Views
Registered: ‎01-16-2017

How to set up Yoct e-SDK for Ubuntu16.04?
0 Kudos
Highlighted
Contributor
Contributor
6,472 Views
Registered: ‎10-31-2017

when I run petalinux 2017.1,I also met this problem,and I can't solve this problem,could you tell me what should I do.

0 Kudos
Highlighted
Adventurer
Adventurer
4,662 Views
Registered: ‎12-16-2013

I solved the problem with switching from python 3 to python 2.

Highlighted
1,404 Views
Registered: ‎06-18-2019

I recieve this same error in Petalinux 2019.1

Segmentation fault (core dumped)
ERROR: Failed to menu config project component 
ERROR: Failed to config project.
ERROR: Get hw description Failed!.

and the config.log says:

[INFO] generating Kconfig for project
INFO: [Hsi 55-1698] elapsed time for repository loading 0 seconds
hsi::open_hw_design: Time (s): cpu = 00:00:23 ; elapsed = 00:00:24 . Memory (MB): peak = 842.402 ; gain = 218.863 ; free physical = 117 ; free virtual = 4552
[INFO] menuconfig project
/home/aj/Desktop/Petalinux_Projects/petalinux_img/build/misc/config/Kconfig.syshw:29:warning: defaults for choice values not supported
/home/aj/Desktop/Petalinux_Projects/petalinux_img/build/misc/config/Kconfig:673:warning: config symbol defined without type

 My issue is not solved with changing the paths in yocto enivronnment either because I did not change the installation location.

What is the solution for this?

0 Kudos
Highlighted
Visitor
Visitor
70 Views
Registered: ‎12-23-2018

Thanks. 2018.1 has the same issue.

0 Kudos